Public Class Parental_Control

    Private Sub Parental_Control_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        'save all the content of listbox3 block websites - need to override existing strings
        My.Settings.BlockWebsites1.Clear()


        For Each item5 As String In ListBox3.Items
            My.Settings.BlockWebsites1.Add(item5)
            My.Settings.Save()

        Next

        'save all the content of listbox1 block keywords - need to override existing strings
        My.Settings.BlockKeywords1.Clear()


        For Each item6 As String In ListBox1.Items
            My.Settings.BlockKeywords1.Add(item6)
            My.Settings.Save()

        Next

   



    End Sub

    Private Sub Parental_Control_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        'reminder to switch on parental control
        If chkActive.Checked = False Then
            Dim active As New DialogResult
            active = MsgBox("Parental Control is Not Active" & vbNewLine & "Do you want to activate it?", MsgBoxStyle.YesNo, "Parental Control Status")
            If active = Windows.Forms.DialogResult.Yes Then
                chkActive.Checked = True
            End If
        Else
            MsgBox("Parental Control is Active", MsgBoxStyle.Information, "Parental Control Status")
        End If
    End Sub

    Private Sub Parental_Control_Load_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lblParentalCont.Text = "Parental Control allows you as a parent to block inappropriate content for your child."

        Label3.Text = "Block specific website." + vbNewLine + "eg. http://example.com"

        Label4.Text = "Block web content by keywords." + vbNewLine + "eg. games, chat, drugs, etc."

        ' pass strings to listboxes but need to be done in main form 

        'pass value to checkbox while loading




      

    End Sub

    Private Sub btnPassword_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPassword.Click
        'change password to parental control


        Dim myValue1 As String
        myValue1 = InputBox("Please type new password for Parental Control." + vbNewLine + "Password need to have at least 5 characters.", "Authorisation", , 100, 100)

        If myValue1.Length >= 5 Then
            txtPassword.Text = myValue1

            My.Settings.Password = txtPassword.Text
            My.Settings.Save()
        Else
            MsgBox("Password need to have at least 5 characters." + vbNewLine + vbNewLine + "Password not changed.", MsgBoxStyle.Exclamation, "Authorisation")

        End If




    End Sub

    Private Sub BtnAddSite_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnAddSite.Click
        If txtWebsiteToBlock.Text.Length = 0 Then

        Else
            ListBox3.Items.Add(txtWebsiteToBlock.Text)
        End If


    End Sub

    Private Sub btnRemoveSite_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRemoveSite.Click
        Try

            ListBox3.Items.RemoveAt(ListBox3.SelectedIndex)

        Catch ex As Exception

        End Try
    End Sub

    Private Sub chkActive_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkActive.CheckedChanged
        'make the textbox selected

        If chkActive.Checked = True Then
            My.Settings.BlockActive = True
            My.Settings.Save()
            Form1.ParentalControlToolStripMenuItem.Checked = True
        Else
            My.Settings.BlockActive = False
            My.Settings.Save()
            Form1.ParentalControlToolStripMenuItem.Checked = False
        End If
    End Sub

    Private Sub BtnAddKeyword_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnAddKeyword.Click


        If txtBlockKeywords.Text.Length = 0 Then

        Else
            ListBox1.Items.Add(txtBlockKeywords.Text)
        End If


    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Try

            ListBox1.Items.RemoveAt(ListBox1.SelectedIndex)

        Catch ex As Exception

        End Try
    End Sub
End Class